Retrieves the unavailability with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_unavailability
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
date_start

Date+Time of the beginning

date

Required

date_end

Date+Time of the end

date

Required

modified_dateutc

Date+Time of the modified

date

Required

description

Description of the unavailability

string

Max length: 255

is_approved

Indicate if this object has been approved using a User Week Approval

boolean
user_id

User owner of this unavailability

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_unavailability

user

Optionally required : user_id, user_code or user must be provided

user_unavailability_type_id

Type of the unavailability, cf model user_unavailability_type

globally unique identifier

Required

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type_code

Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type

Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability

user_unavailability_type

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

Response Formats

application/json, text/json

Sample:
{
  "id": "25cc70f6-a2a4-45f5-aa7b-8b39d9dc13ab",
  "date_start": "2026-10-19T19:03:20.7171314+00:00",
  "date_end": "2026-10-19T19:03:20.7171314+00:00",
  "modified_dateutc": "2026-10-19T19:03:20.7171314+00:00",
  "description": "sample string 5",
  "is_approved": true,
  "user_id": "27ec4348-fbdc-4121-a865-ffe0c5cc8f9d",
  "user_code": "sample string 8",
  "user": {
    "id": "38bfa3bb-c02b-4848-803b-8a3d2dd6c1ad",
    "db_language_id": "8008e3e1-72cd-424e-a9e7-0e00a1a08b0d",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-10-19T19:03:20.7171314+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "3e12a019-e06c-444f-96ac-b0500a7e9c74",
    "sales_organization": {
      "id": "2b296239-f1fd-4b65-8e36-16a4ec1b13bd",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "1321fc67-bceb-4edb-bb9f-7f2ca99af66d",
      "db_currency_id": "8ac088c3-dba6-4128-96da-73ef4b49a442",
      "db_language_id": "4d7ca521-9202-47dc-9357-13fc48397cba",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-19T19:03:20.7171314+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "e5a1d4c1-7e87-4484-a0f8-34a1f068bbda",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "62979d11-eec4-4a78-8daf-f360de399d51",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-10-19T19:03:20.7171314+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "cd1c49d8-710c-46e4-815e-9303db3a0f06"
  },
  "user_unavailability_type_id": "51eed879-dee1-4962-85ca-dad52ed4dae3",
  "user_unavailability_type_code": "sample string 10",
  "user_unavailability_type": {
    "id": "72d2ded6-fb01-4390-9ff6-bbaa4de4917d",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "sales_organization_id": "2b552cb0-8429-4db5-aa0e-0f525f360181",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "2b296239-f1fd-4b65-8e36-16a4ec1b13bd",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "1321fc67-bceb-4edb-bb9f-7f2ca99af66d",
      "db_currency_id": "8ac088c3-dba6-4128-96da-73ef4b49a442",
      "db_language_id": "4d7ca521-9202-47dc-9357-13fc48397cba",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-19T19:03:20.7171314+00:00"
    },
    "modified_dateutc": "2026-10-19T19:03:20.7171314+00:00"
  }
}